import { http } from "@/utils/http"

// 资产数据管理 - 项目 - 列表
export function getProjectList(data?) {
  return http.get<any, AxiosResponseRes>('/assetProject/list', { data })
}

// 资产数据管理 - 项目 - 新增/删除
export function modifyProject(data?) {
  return http.post<any, AxiosResponseRes>('/assetProject/doAddDelete', { data })
}


// 资产数据管理 - 项目收入表 - 列表
export function getProjectTableList(data?) {
  return http.post<any, AxiosResponseRes>('/assetProjectIncome/list', { data })
}

// 资产数据管理 - 项目收入表 - 删除
export function deleteProjectTable(params) {
  return http.get<any, AxiosResponseRes>('/assetProjectIncome/dodelete', { params })
}

// 资产数据管理 - 项目收入表 - 修改
export function modifyProjectTable(data) {
  return http.post<any, AxiosResponseRes>('/assetProjectIncome/doAdd', { data })
}

// 资产数据管理 - 项目收入表 - 下载
export function downloadProjectTable(data) {
  return http.post<any, AxiosResponseRes>('/assetProjectIncome/downloadFile', { data, responseType: 'arraybuffer' })
}


// 资产数据管理 - aum资产表 - 列表
export function getAumTableList(data?) {
  return http.post<any, AxiosResponseRes>('/assetAUM/list', { data })
}

// 资产数据管理 - aum资产表 - 修改
export function modifyAumTable(data) {
  return http.post<any, AxiosResponseRes>('/assetAUM/doAdd', { data })
}

// 资产数据管理 - 项目收入表 - 删除
export function deleteAumTable(params) {
  return http.get<any, AxiosResponseRes>('/assetAUM/doDelete', { params })
}

// 资产数据管理 - aum资产表 - 下载
export function downloadAumTable(data) {
  return http.post<any, AxiosResponseRes>('/assetAUM/downloadFile', { data, responseType: 'arraybuffer' })
}
