import { http } from "@/utils/http"

// 成本管理-根据条件查询融资间接成本
export function queryIndirectFinancial(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costIndirectFinancing/findBySearch', { data })
}

// 成本管理-新增融资间接成本
export function addIndirectFinancial(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costIndirectFinancing/add', { data })
}

// 成本管理-修改融资间接成本
export function updateIndirectFinancial(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costIndirectFinancing/update', { data })
}

export function downloadTemplate(params?) {
  return http.get('/cost/management/downloadTemplate', { params, responseType: 'arraybuffer' })
}

// 成本管理-根据条件下载融资间接成本
export function downloadIndirectFinancial(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costIndirectFinancing/download', { data, responseType: 'arraybuffer' })
}

// 成本管理-根据条件查询自有资金保证金成本
export function queryOwnFounds(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costOwnFoundsMargin/findBySearch', { data })
}

// 成本管理-新增/修改自有资金保证金成本
export function addOrUpdateOwnFounds(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costOwnFoundsMargin/add', { data })
}

// 成本管理-根据条件下载自有资金保证金成本
export function downloadOwnFounds(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costOwnFoundsMargin/download', { data, responseType: 'arraybuffer' })
}

// 成本管理-根据条件查询自有资金成本利率
export function queryOwnFoundsRate(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costOwnFoundsRate/findBySearch', { data })
}

// 成本管理-新增或修改自有资金成本利率
export function addOrUpdateOwnFoundsRate(data?) {
  return http.post<any, AxiosResponseRes>('/cost/management/costOwnFoundsRate/add', { data })
}
