import { http } from "@/utils/http"

// 财务报表-主列表
export function queryFinancialList(data?) {
  return http.post<any, AxiosResponseRes>('/financeReport/doList', { data })
}

// 财务报表-下载
export function downloadSingle(params?) {
  return http.get<any, AxiosResponseRes>('/financeReport/download', {
    params, responseType: 'arraybuffer' })
}

// 财务报表-批量下载
export function downloadBatch(data?) {
  return http.post<any, AxiosResponseRes>('/financeReport/downloadBatch', { data, responseType: 'arraybuffer' })
}

// 财务报表-新增(或者修改)
export function addOrUpdateFinancialReport(data?) {
  return http.post<any, AxiosResponseRes>('/financeReport/doAdd', { data })
}

// 财务报表-获取现金金额--现金流表一键拉取
export function getCashBalance(params?) {
  return http.get<any, AxiosResponseRes>('/financeReport/getCashBalance', { params })
}

// 财务报表-校验
export function reportVerify(data?) {
  return http.post<any, AxiosResponseRes>('/financeReport/verifyHistorical', { data })
}

// 财务报表-查看详情
export function queryListDetails(params?) {
  return http.get<any, AxiosResponseRes>('/financeReport/getDetails', { params })
}

// 财务报表-解析财务报表
export function importFinanceReport(data?) {
  return http.post<any, AxiosResponseRes>('/financeReport/importFinanceReport', {
    data, headers: {
    'Content-Type': 'application/octet-stream'
  } })
}
