import { http } from '@/utils/http'

// 根据code获取字典值
export function getDictByCode(params?) {
  return http.get('/dictionary/do_findByParentCode', {
    params: {
      parentCode: params.code
    }
  })
}

// 获取省市区
export function getRegion(params?) {
  return http.get('/department/findAll', { params })
}

// 根据角色获取用户
export function getUserFormRole(code?) {
  return http.get('/user/findUserByRoleName', { params: { roleName: code } })
}

// 获取文件预览
export const getFilePerview = (params) => (
  http.get('/fileStorage/downloadPdfFile', { params, responseType: 'arraybuffer' })
)

// 获取产品类型
export const getProductType = () => (
  http.get('/dictionary/do_findProductType')
)

// 获取资方
export const getCapital = (params) => (
  http.get('/sys/stakeholders/management/findByKeyword', { params })
)
