import { http } from '@/utils/http'

/** 登录 */
export const getLogin = (params?: object) => {
  return http.request<any>('get', '/authority/do_login', { params })
}

// 获取用户信息
export const getUserInfo = () => {
  return http.request<any>('get', '/user/do_getLongUser',)
}

// 获取用户权限
export const getPermission = () => {
  return http.request<any>('get', '/user/do_getAllPermissionEname')
}


/** 刷新token */
export const refreshTokenApi = (data?: object) => {
  return http.request('post', '/refreshToken', { data })
}

// 修改密码
export const changePassword = (password:string) => {
  return http.request('put', '/user/updatePassword/' + password, { params: { Loading: true } })
}
