import type { Component } from 'vue'

// 信息条
import CyInfoTitle from './CyInfoTitle/index.vue'

// 文件上传
import Upload from './Upload/upload.vue'

// Echart
import * as echarts from './Echarts'

// 弹框
import CyDialog from './Dialog/index.vue'

// 权限
import { Auth } from './ReAuth'

// table
import CyTable from './CyTable/index.vue'

// 全局注册`@iconify/vue`图标库
import { IconifyIconOffline, IconifyIconOnline, FontIcon } from './ReIcon'

// 输入框
import * as CyInput from './CyInput'

const components: { [propName: string]: Component } = {
  CyInfoTitle,
  CyUpload: Upload,
  ...echarts,
  CyDialog,
  Auth,
  IconifyIconOffline,
  IconifyIconOnline,
  FontIcon,
  CyTable,
  ...CyInput
}

export default components
