import { Directive, DirectiveBinding } from "vue";
import { getSessionStorage } from "@/utils/auth";

export const power: Directive = {
  mounted(el: HTMLElement, binding: DirectiveBinding) {
    if (binding.value) {
      const powerList = getSessionStorage('buttons') || []
      const menuList = getSessionStorage('menus') || []
      const [one, two] = binding.value.split(':')
      if (one && !powerList.includes(one)) {
        if (two === 'tab' && !menuList.includes(one)) {
          const idAttr = el.getAttribute('aria-labelledby')
          setTimeout(() => {
            document.getElementById(idAttr).style.display = 'none'
          }, 100)
        } else {
          el.remove()
          // el.style.display = 'none'
        }
      }
    } else {
      // throw new Error(
      //   "[Directive: power]: need power! Like v-power=\"['btn.add','btn.edit']\""
      // );
    }
  }
}
