const Layout = () => import("@/layout/index.vue");

export default {
  path: '/system',
  componnet: Layout,
  name: 'SystemManage',
  redirect: '/configManage/exchangeRate',
  meta: {
    title: '系统管理',
    icon: 'system'
  },
  children: [
    {
      path: '/configManage',
      name: 'ConfigManage',
      redirect: '/configManage/exchangeRate',
      meta: {
        title: '配置管理',
      },
      children: [
        {
          path: '/configManage/exchangeRate',
          name: 'ExchangeRateConfig',
          component: () => import('@/views/systemManage/configManage/ExchangeRate.vue'),
          meta: {
            title: '汇率配置',
          },
        },
        // {
        //   path: '/configManage/productType',
        //   name: 'ProductTypeConfig',
        //   component: () => import('@/views/systemManage/configManage/ProductType.vue'),
        //   meta: {
        //     title: '产品类型配置',
        //   },
        // },
        {
          path: '/configManage/capitalAllocation',
          name: 'CapitalAllocationConfig',
          component: () => import('@/views/systemManage/configManage/CapitalAllocation.vue'),
          meta: {
            title: '资方配置',
          },
        }
      ]
    },
    {
      path: '/orgManage',
      name: 'OrgManage',
      component: () => import('@/views/systemManage/orgManage/index.vue'),
      meta: {
        title: '组织管理'
      },
    },
    {
      path: '/logManage',
      name: 'LogManage',
      component: () => import('@/views/systemManage/logManage/index.vue'),
      meta: {
        title: '登录日志'
      },
      children: [
        {
          path: '/logManage/logDetail',
          name: 'LogDetail',
          component: () => import('@/views/systemManage/logManage/detail.vue'),
          meta: {
            title: '日志详情',
            showLink: false
          },
        }
      ]
    },
  ]
} as RouteConfigsTable;
