import { ref, computed } from 'vue'
import { useRouter } from 'vue-router'
import { forMatMoney } from '@utils'

export function useColumns() {
  const router = useRouter()
  const columns: TableColumnList = [
    {
      label: '序号',
      type: 'index',
      width: 200
    },

    {
      label: '项目名称',
      prop: 'projectName',
      labelClassName: 'rule-required',
      showOverflowTooltip: true,
      cellRenderer: ({ row, index }) => {
        return (
          <el-input
            v-model={row.projectName}
            placeholder="请输入项目名称"></el-input>
        )
      }
    },
    {
      label: '操作',
      cellRenderer: ({ index, row }) => {
        const btnList = [
          {
            msg: '删除',
            power: '',
            category: 'delete',
            status: true
          },
          {
            msg: '添加',
            power: '',
            category: 'add',
            status: tableData.value.length -1 == index
          }
        ]
        const options = btnList.map((item) => {
          return item.status && (
            <el-button
              type="primary"
              link
              onClick={() => {
                handlerOperate(item.category, row, index)
              }}>
              {item.msg}
            </el-button>
          )
        })
        if (tableData.value.length === 1 && !tableData.value[0].id) {
          return (
            <el-button
              type="primary"
              link
              onClick={() => {
                handlerOperate('add', row, index)
              }}>
              添加
            </el-button>
          )
        } else {
          return <>{options}</>
        }
      }
    }
  ]

  const tablePower = ({ item, tab, row }) => {
    const { tabPower, rowPower } = item
    if (rowPower) {
    } else {
      if (tabPower.includes(tab)) {
        return true
      } else {
        return false
      }
    }
  }

  const tableData = ref<any[]>([
    {
      projectName: '',
      id: ''
    }
  ])

  const deleteIds = ref<string[]>([])
  const handlerOperate = (type: string, row:any, index?: number) => {
    const { id } = row
    if (type === 'delete') {
      if (id) {
        tableData.value.splice(index, 1)
        deleteIds.value.push(id)
        if(tableData.value.length === 0) {
          tableData.value.push({
            projectName: '',
            id: ''
          })
        }
      } else {
        tableData.value.splice(index, 1)
      }
    } else if (type === 'add') {
      tableData.value.push({
        projectName: '',
        id: ''
      })
    }
  }
  return {
    columns,
    tableData,
    deleteIds
  }
}
