import { ref, computed } from 'vue'
import { useRouter } from 'vue-router'
import { forMatMoney } from '@utils'

export function useColumns(search) {
  const router = useRouter()
  const columns: TableColumnList = [
    {
      label: '序号',
      type: 'index',
      width: 100
    },
    {
      label: '计划日期',
      prop: 'businessNo',
      showOverflowTooltip: true
    },
    {
      label: '客户名称',
      prop: 'customerName',
      showOverflowTooltip: true
    },
    {
      label: '运营中心',
      prop: 'contractNo',
      showOverflowTooltip: true
    },
    {
      label: '业务经理',
      prop: 'quotaDisburseBatch',
      showOverflowTooltip: true
    },
    {
      label: '收款',
      prop: 'currency',
      showOverflowTooltip: true,
      cellRenderer: ({ row }) => {
        return forMatMoney(row.contractAmount)
      }
    },
    {
      label: '放款',
      prop: 'contractAmount',
      showOverflowTooltip: true,
      cellRenderer: ({ row }) => {
        return forMatMoney(row.contractAmount)
      }
    },
    {
      label: '资方',
      prop: 'projectManagerName',
      showOverflowTooltip: true
    }
  ]

  const tablePower = ({ item, tab, row }) => {
    const { tabPower, rowPower } = item
    if (rowPower) {
    } else {
      if (tabPower.includes(tab)) {
        return true
      } else {
        return false
      }
    }
  }

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  const handlerOperate = (type, row) => {
    const { id } = row
    switch (type) {
      case 'edit':
        router.push({
          path: '/businessLedgerDetails',
          query: { id, type: 'edit' }
        })
        break
      case 'see':
        router.push({
          path: '/businessLedgerDetails',
          query: { id, type: 'see' }
        })
        break
      default:
        break
    }
  }
  return {
    columns,
    tableData,
    total,
  }
}
