import { ref } from 'vue'

const saleRequiredFeilds = []

export function useSaleColumns(feildsDisabled?) {
  const saleTableData = ref<any[]>([])

  // 销售费用表格
  const saleColumns: TableColumnList = [
    {
      label: '部门',
      prop: 'org',
      showOverflowTooltip: true,
    },
    {
      label: '姓名',
      prop: 'nameStr',
      showOverflowTooltip: true,
    },
    {
      label: '交通费',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.trafficAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '办公费',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.officeAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '差旅费',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.travelAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '招待费',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.consultingAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '其他金额',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.otherAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '销售小计',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.totalAmount } disabled={ true }></cy-amount-input>
        </>
      )
    }
  ]

  return {
    saleColumns,
    saleTableData,
  }
}
