import { ref } from 'vue'
import { getSessionStorage } from '@/utils/auth'

const powerList = getSessionStorage('buttons') || []

const tablePower = (item?, tab?, row?) => {
    const { tabPower, rowPower, power, satausPower } = item
    if (power && !powerList.includes(power)) {
      return false
    }
    // if (rowPower && (!row.taskName || !rowPower.includes(row.taskName))) {
    //   return false
    // }
    if (satausPower && (!satausPower.includes(row.buttonFlag))) {
      return false
    }
    if (tabPower && !tabPower.includes(tab)) {
      return false
    }
    return true
  }

export function useColumns(parentFn?:(rows?: any) => void, activeName?: string) {
  const columns: TableColumnList = [
    // {
    //   type: 'selection',
    //   width: 50
    // },
    {
      label: '序号',
      type: 'index',
      width: 100
    },
    {
      label: '项目名称',
      prop: 'projectName',
      showOverflowTooltip: true
    },
    {
      label: '所属部门',
      prop: 'org',
      showOverflowTooltip: true
    },
    {
      label: '项目经理',
      prop: 'projectManagerName',
      showOverflowTooltip: true
    },
    {
      label: '金额',
      prop: 'costAmount',
      showOverflowTooltip: true
    },
    {
      label: '币种',
      prop: 'currency',
      showOverflowTooltip: true
    },
    {
      label: '摘要',
      prop: 'abstractStr',
      showOverflowTooltip: true
    },
    {
      label: '月份',
      prop: 'date',
      showOverflowTooltip: true
    },
    {
    label: "操作",
      cellRenderer: ({ index, row }) => {
        const btnList = [
          {
            msg: '修改',
            category: 'edit',
            power: 'updateCostIndirectFinancing',
            tabPower: ['costIndirectFinancing']
          },
        ]
        const options = btnList.map(item => {
          return tablePower(item, activeName, row) && (
            <el-tooltip class='item' effect='dark' content={item.msg} placement='top' >
                <span class='table-icon-box' onClick={() => { handleOperate(item.category, row) }}>
                  {/* class={item.icon} */}
                {/* <i onClick={() => { this.handleOperate(item.category, row) }}></i> */}
                {item.msg}
              </span>
            </el-tooltip>
          )
        })
        return (
          <>
            <div>{ options }</div>
          </>
        )
      }
    }
  ]

  const handleOperate = (operateType, row) => {
    if (operateType == 'edit') {
      handleEdit(row)
    }
  }

  const handleEdit = (rows?: any) => {
    parentFn && parentFn(rows)
  }

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  return {
    columns,
    tableData,
    total,
    handleEdit
  }
}
