import { ref } from 'vue'

export const profitRequiredFeilds = ['一、营业收入', '三、利润总额（亏损总额以"－"号填列）', '四、净利润（净亏损以"－"号填列）']

export function useProfitColumns(feildsDisabled?) {
  const profitTableData = ref<any[]>([])
  const profitTotal = ref<number>(0)

  // 利润表格
  const profitColumns: TableColumnList = [
    {
      label: '项目',
      width: 320,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          {
            profitRequiredFeilds.includes(row.reportForms?.trim()) ?
            <span>
              <span style='color: red'>*</span>
              {row.reportForms}
              </span>
              :
            <span>
              {row.reportForms}
            </span>
          }
        </>
      )
    },
    {
      label: '本月金额',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.closingBalance } disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '本年累计金额',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.openingBalance } disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    }
  ]

  return {
    profitColumns,
    profitTableData,
    profitTotal,
  }
}
