import { ref, computed } from 'vue'
import { useRouter } from 'vue-router'
import { forMatMoney } from '@utils'

export function useColumns(search) {
  const router = useRouter()
  const columns: TableColumnList = [
    // {
    //   type: 'selection'
    // },
    {
      label: '序号',
      type: 'index',
      width: 55
    },
    {
      label: '项目名称',
      prop: 'businessNo',
      showOverflowTooltip: true
    },
    {
      label: '合同编号',
      prop: 'customerName',
      showOverflowTooltip: true
    },
    {
      label: '批次',
      prop: 'quotaDisburseBatch',
      showOverflowTooltip: true
    },
    {
      label: '放款金额',
      prop: 'quotaDisburseBatch',
      showOverflowTooltip: true
    },
    {
      label: '跟投金额',
      prop: 'quotaDisburseBatch',
      showOverflowTooltip: true
    },
    {
      label: '分配利息金额',
      prop: 'currency',
      showOverflowTooltip: true
    },

    {
      label: '债权人',
      prop: 'contractAmount',
      showOverflowTooltip: true,
      cellRenderer: ({ row }) => {
        return forMatMoney(row.contractAmount)
      }
    },
    {
      label: '债务人',
      prop: 'quotaDisburseBatch',
      showOverflowTooltip: true
    },
    {
      label: '所属部门',
      prop: 'contractAmount',
      showOverflowTooltip: true,
      cellRenderer: ({ row }) => {
        return forMatMoney(row.contractAmount)
      }
    },
    {
      label: '项目经理',
      prop: 'contractAmount',
      showOverflowTooltip: true,
      cellRenderer: ({ row }) => {
        return forMatMoney(row.contractAmount)
      }
    },
      {
      label: '发布日期',
      prop: 'contractAmount',
      showOverflowTooltip: true,
      cellRenderer: ({ row }) => {
        return forMatMoney(row.contractAmount)
      }
    },

    {
      label: '操作',
      width: '160',
      cellRenderer: ({ index, row }) => {
        const btnList = [
          {
            msg: '明细',
            icon: 'text-customPurple iconfont icon-watch',
            power: '',
            category: 'see'
          },
          {
            msg: '修正',
            icon: 'text-customPurple iconfont icon-edit',
            power: 'riskModify',
            tabPower: ['all'],
            category: 'edit'
          }
        ]
        const options = btnList.map((item) => {
          return (
            <el-tooltip effect="dark" content={item.msg} placement="top">
              <i
                class={item.icon}
                v-power={item.power}
                onClick={() => {
                  handlerOperate(item.category, row)
                }}></i>
            </el-tooltip>
          )
        })
        return <>{options}</>
      }
    }
  ]

  const tablePower = ({ item, tab, row }) => {
    const { tabPower, rowPower } = item
    if (rowPower) {
    } else {
      if (tabPower.includes(tab)) {
        return true
      } else {
        return false
      }
    }
  }

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  const handleSelectionChange = (val) => {
    console.log(val, 11111111)
  }

  const handlerOperate = (type, row) => {
    const { id } = row
    switch (type) {
      case 'see':
        router.push({
          path: '/investmentManageDetails',
          query: { id, type: 'see' }
        })
        break
      default:
        break
    }
  }
  return {
    columns,
    tableData,
    total,
    handleSelectionChange
  }
}
