import { ref } from 'vue'
import { useRouter } from 'vue-router'
import { message } from '@/utils/message'
// @ts-nocheck
const useColumns = () => {
  const columns = [
    {
      type: 'selection',
      align: 'left'
    },
    {
      type: 'expand',
      slot: 'expand'
    },
    {
      label: '日期',
      prop: 'date',
      cellRenderer: ({ row, index }) => (
        <div style="display: flex; align-items: center">
          <iconify-icon-online icon="ep:timer" />
          <span style="margin-left: 10px">
            {row.date} {index}
          </span>
        </div>
      )
    },
    {
      label: '姓名',
      prop: 'name',
      cellRenderer: ({ row }) => (
        <el-popover effect="dark" trigger="hover" placement="top" width="auto">
          {{
            default: () => (
              <>
                <div>name: {row.name}</div>
                <div>address: {row.address}</div>
              </>
            ),
            reference: () => <el-tag>{row.name}</el-tag>
          }}
        </el-popover>
      )
    },
    {
      label: '地址',
      prop: 'address',
      showOverflowTooltip: true
    },
    {
      label: '操作',
      cellRenderer: ({ index, row }) => (
        <>
          <el-button size="small" onClick={() => handleEdit(index + 1, row)}>
            Edit
          </el-button>
          <el-button
            size="small"
            type="danger"
            onClick={() => handleDelete(index + 1, row)}>
            Delete
          </el-button>
        </>
      )
    }
  ]

  const dataList = [
    {
      date: '213123',
      name: '22222222',
      address: '11111111111111',
      id: '1'
    }
  ]

  const router = useRouter()

  const handleEdit = (index: number, row) => {
    console.log(index, row)
    router.push({ name: 'DemoDetails' })
  }

  const handleDelete = (index: number, row) => {
    message(`您删除了第 ${index} 行，数据为：${JSON.stringify(row)}`, { type: 'success' })
  }

  return {
    columns,
    dataList
  }
}

export default useColumns
