import { ref } from 'vue'
import router from '@/router/index'


export function useColumns() {
  const columns: TableColumnList = [
    {
      label: '序号',
      type: 'index',
      width: 100
    },
    {
      label: '登录名',
      prop: 'loginName',
      showOverflowTooltip: true
    },
    {
      label: '姓名',
      prop: 'name',
      showOverflowTooltip: true
    },
    {
      label: '事件',
      prop: 'remark',
      showOverflowTooltip: true
    },
    {
    label: "操作",
      cellRenderer: ({ index, row }) => (
        <>
          <el-tooltip
            class="item"
            effect="dark"
            content="查看"
            placement="top"
          >
            <Search style="width: 20px; height: 20px; margin: 0 auto; cursor: pointer;"
              onClick={ () => handleOperate(row, 'see') }
            />
          </el-tooltip>
        </>
      )
    }
  ]

  const handleOperate = (rows: any, type?: string) => {
    router.push({
      name: 'LogDetail',
      query: { id: rows.id }
    })
  }

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  return {
    columns,
    tableData,
    total
  }
}
